%define upstream_name    Perl6-Perldoc
%define upstream_version 0.000013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Add a to_xhtml() method to Perl6::Perldoc::Parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This module preprocesses your code from the point at which the module is
first used, stripping out any Perl 6 documentation (as specified in
Synopsis 26).

This means that, so long as your program starts with:

    use Perl6::Perldoc;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.0.13-5.mga8
+ Revision: 1496454
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.0.13-4.mga7
+ Revision: 1270493
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.13-3.mga6
+ Revision: 1031954
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.0.13-2.mga6
+ Revision: 966732
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.0.13-1.mga6
+ Revision: 846731
- update to 0.000013

* Wed Oct 15 2014 umeabot <umeabot> 0.0.11-4.mga5
+ Revision: 739684
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.11-3.mga5
+ Revision: 685949
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.11-2.mga4
+ Revision: 527197
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.0.11-1.mga4
+ Revision: 439756
- update to 0.000011

* Sun Jan 13 2013 umeabot <umeabot> 0.0.9-2.mga3
+ Revision: 371758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.0.9-1.mga3
+ Revision: 342481
- update to 0.000009

* Fri Aug 31 2012 kharec <kharec> 0.0.8-1.mga3
+ Revision: 286398
- update to 0.000008

* Wed Nov 09 2011 jquelin <jquelin> 0.0.7-1.mga2
+ Revision: 165805
- update to 0.000007

* Sat Jan 22 2011 jquelin <jquelin> 0.0.5-2.mga1
+ Revision: 32335
- mageia rebuild
- imported package perl-Perl6-Perldoc

